package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DATA_PROJECT"
)
public class TCoreDataProject extends TInitEntity {
   private String project;
   private String createuser;
   private Date createtime;
   private Date updatetime;
   private String updateuser;
   private String edition_id;
   private String note;
   private String projectType = "normal";

   public String getProject() {
      return this.project;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public String getUpdateuser() {
      return this.updateuser;
   }

   public String getEdition_id() {
      return this.edition_id;
   }

   public String getNote() {
      return this.note;
   }

   public String getProjectType() {
      return this.projectType;
   }

   public void setProject(final String project) {
      this.project = project;
   }

   public void setCreateuser(final String createuser) {
      this.createuser = createuser;
   }

   public void setCreatetime(final Date createtime) {
      this.createtime = createtime;
   }

   public void setUpdatetime(final Date updatetime) {
      this.updatetime = updatetime;
   }

   public void setUpdateuser(final String updateuser) {
      this.updateuser = updateuser;
   }

   public void setEdition_id(final String edition_id) {
      this.edition_id = edition_id;
   }

   public void setNote(final String note) {
      this.note = note;
   }

   public void setProjectType(final String projectType) {
      this.projectType = projectType;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreDataProject)) {
         return false;
      } else {
         TCoreDataProject other = (TCoreDataProject)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$project = this.getProject();
            Object other$project = other.getProject();
            if (this$project == null) {
               if (other$project != null) {
                  return false;
               }
            } else if (!this$project.equals(other$project)) {
               return false;
            }

            Object this$createuser = this.getCreateuser();
            Object other$createuser = other.getCreateuser();
            if (this$createuser == null) {
               if (other$createuser != null) {
                  return false;
               }
            } else if (!this$createuser.equals(other$createuser)) {
               return false;
            }

            Object this$createtime = this.getCreatetime();
            Object other$createtime = other.getCreatetime();
            if (this$createtime == null) {
               if (other$createtime != null) {
                  return false;
               }
            } else if (!this$createtime.equals(other$createtime)) {
               return false;
            }

            Object this$updatetime = this.getUpdatetime();
            Object other$updatetime = other.getUpdatetime();
            if (this$updatetime == null) {
               if (other$updatetime != null) {
                  return false;
               }
            } else if (!this$updatetime.equals(other$updatetime)) {
               return false;
            }

            Object this$updateuser = this.getUpdateuser();
            Object other$updateuser = other.getUpdateuser();
            if (this$updateuser == null) {
               if (other$updateuser != null) {
                  return false;
               }
            } else if (!this$updateuser.equals(other$updateuser)) {
               return false;
            }

            Object this$edition_id = this.getEdition_id();
            Object other$edition_id = other.getEdition_id();
            if (this$edition_id == null) {
               if (other$edition_id != null) {
                  return false;
               }
            } else if (!this$edition_id.equals(other$edition_id)) {
               return false;
            }

            Object this$note = this.getNote();
            Object other$note = other.getNote();
            if (this$note == null) {
               if (other$note != null) {
                  return false;
               }
            } else if (!this$note.equals(other$note)) {
               return false;
            }

            Object this$projectType = this.getProjectType();
            Object other$projectType = other.getProjectType();
            if (this$projectType == null) {
               if (other$projectType != null) {
                  return false;
               }
            } else if (!this$projectType.equals(other$projectType)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreDataProject;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $project = this.getProject();
      result = result * 59 + ($project == null ? 43 : $project.hashCode());
      Object $createuser = this.getCreateuser();
      result = result * 59 + ($createuser == null ? 43 : $createuser.hashCode());
      Object $createtime = this.getCreatetime();
      result = result * 59 + ($createtime == null ? 43 : $createtime.hashCode());
      Object $updatetime = this.getUpdatetime();
      result = result * 59 + ($updatetime == null ? 43 : $updatetime.hashCode());
      Object $updateuser = this.getUpdateuser();
      result = result * 59 + ($updateuser == null ? 43 : $updateuser.hashCode());
      Object $edition_id = this.getEdition_id();
      result = result * 59 + ($edition_id == null ? 43 : $edition_id.hashCode());
      Object $note = this.getNote();
      result = result * 59 + ($note == null ? 43 : $note.hashCode());
      Object $projectType = this.getProjectType();
      result = result * 59 + ($projectType == null ? 43 : $projectType.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreDataProject(project=" + this.getProject() + ", createuser=" + this.getCreateuser() + ", createtime=" + this.getCreatetime() + ", updatetime=" + this.getUpdatetime() + ", updateuser=" + this.getUpdateuser() + ", edition_id=" + this.getEdition_id() + ", note=" + this.getNote() + ", projectType=" + this.getProjectType() + ")";
   }
}
